Skip to main content
GET
/
network_connections
/
{connectionId}
TypeScript
const response: Promise<FireblocksResponse<NetworkConnectionResponse>> = fireblocks.networkConnections.getNetwork(networkConnectionsApiGetNetworkRequest);
{
  "id": "<string>",
  "status": "WAITING_FOR_APPROVAL",
  "localNetworkId": {
    "id": "<string>",
    "name": "<string>"
  },
  "remoteNetworkId": {
    "id": "<string>",
    "name": "<string>"
  },
  "routingPolicy": {},
  "localChannel": {
    "networkId": "<string>",
    "name": "<string>"
  },
  "remoteChannel": {
    "networkId": "<string>",
    "name": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

connectionId
string
required

The ID of the connection

Response

A network connection

id
string
required
status
enum<string>
required
Available options:
WAITING_FOR_APPROVAL,
WAITING_FOR_PEER_APPROVAL,
APPROVED,
CANCELLED,
FAILED,
REJECTED,
REJECTED_BY_PEER,
REMOVED,
REMOVED_BY_PEER
localNetworkId
object
required
remoteNetworkId
object
required
routingPolicy
object
required
localChannel
object
deprecated

Deprecated - Replaced by localNetworkId

remoteChannel
object
deprecated

Deprecated - Replaced by remoteNetworkId